Unsupported Version of NI-488.2 for Windows was Detected

Updated Nov 5, 2018

Reported In

Hardware

  • GPIB-USB-HS

Driver

  • NI-488.2

Issue Details

I am trying to install the latest version of NI-488.2 and I get the following error:
 
​Unsupported Version of NI-488.2 for Windows was Detected
​

What can I do to fix this and get my driver installed?

Solution

1. Try reinstalling the latest version of NI-488.2 through NI Package Manager. If it does not install successfully, follow the steps below to continue troubleshooting.
2. Use the guide for Uninstalling or Repairing National Instruments Software or Drivers in Windows and remove all versions of NI-488.2.
3. Restart your computer and begin the installation process for the 488.2 driver you are wanting to install.

If you are getting this error while using a software bundle such as the Software Platform Bundle, consider downloading and running the individual installers for the software and drivers you will need for your application.

WAS THIS ARTICLE HELPFUL?

Not Helpful